package com.github.polpetta.mezzotre.telegram.callbackquery;

import com.github.polpetta.mezzotre.orm.model.CallbackQueryContext;
import com.pengrad.telegrambot.model.Update;
import com.pengrad.telegrambot.request.BaseRequest;
import com.pengrad.telegrambot.request.SendMessage;
import java.util.Optional;
import java.util.concurrent.CompletableFuture;

public class ShowHelp implements Processor {

  public static String EVENT_NAME = "showHelp";

  @Override
  public String getEventName() {
    return EVENT_NAME;
  }

  @Override
  public CompletableFuture<Optional<BaseRequest<?, ?>>> process(
      CallbackQueryContext callbackQueryContext, Update update) {
    // TODO implement this method and put `hasHelpBeenShown` in tgChat to false
    return CompletableFuture.completedFuture(
        Optional.of(new SendMessage(callbackQueryContext.getFields().getTelegramChatId(), "TODO")));
  }
}
